<template>
    <div class="row">
        <div class="col-12">
            <div class="block-totals">
                <div class="label-totals">Total: $ {{ formatCurrency(totalCart) }}</div>
            </div>
        </div>
    </div>
</template>

<script setup>
import { computed, watch } from "vue";
import { cartStore } from "../../js/stores/cart.js";

const store = cartStore();

const totalCart = computed(() => store.getTotalCart());

watch(totalCart, () => store.getTotalCart());

const formatCurrency = (value) => {
    return new Intl.NumberFormat("es-AR", {
        minimumFractionDigits: 2,
        maximumFractionDigits: 2,
    }).format(value);
};
</script>

<style lang="scss">
@use "../../scss/variables" as vars;

.block-totals {
    position: relative;
    height: 60px;
    background-color: white;
    border-top: 1px solid vars.$gris-just;
    border-bottom: 3px solid vars.$gris-just;
    margin-bottom: 20px;

    .label-totals {
        margin: 0;
        position: absolute;
        top: 50%;
        right: 0;
        transform: translateY(-50%);
        float: right;
        padding-right: 20px;
        font-size: 18px;
        color: vars.$negro-just;
        font-weight: 800;
    }
}
</style>
